Subject: [bug#36440] [PATCH] Add FreeCAD

From: Jonathan Brielmaier <[email-masked]>
Date: Wed, 24 Jul 2019 09:52:32 +0200

I didn't build all the packages, because it failed to apply them on top
of current master. Did you rebased it on current master?

I only comment where I "know" something...

On 7/23/19 6:25 PM, John Soo wrote:
> ** Coin3D
>
> *** DONE Delete blobs
>
> *** hg-fetch deletes .hg dirs (and all submodules' .hg dirs)

- Usually the (arguments) section is right after the (build-system...)
but this is more optical :P
- Wikipedia uses https://bitbucket.org/Coin3D/coin/src but I think the
link to their wiki https://bitbucket.org/Coin3D/coin/wiki/Home is even
better :)

> ** SoQT vs. Quarter
>
> *** Not interchangeable as far as I know.
>
> *** FreeCAD requires SoQT specifically during configure.

Do we really need SoQT? Neither openSUSE
https://build.opensuse.org/package/show/science/FreeCAD nor ArchLinux
https://aur.archlinux.org/packages/freecad/ depending on SoQT

> ** Pyside2
>
> *** Does all of pyside2 belong in qt.scm? - there are three packages:
> Shiboken2, Pyside2, and Pyside2-Tools

qt.scm does already include python and python-xyz, so from this side
it's not a problem. If pyside* would be used by non QT projects, which
also doesn't depend on QT it would be good to have it in python-xyz
module, but I don't think that is the case. So leave them in qt.scm :)

python-shiboken-2
Maybe leave a comment that it's a source inside of pyside-setup, because
the first repo I found was this :)
https://code.qt.io/cgit/pyside/shiboken.git/

pyside-2-tools:
- Maybe elaborate a bit more in the description, I have no idead what
"lupdate, rcc and uic" is :P
- Is there a reason why we don't run the tests?

python-pyside-2:
- No newlines in the description after a sentence, just two whitespaces :)

> ** libmedfile

- description: What is a MED file?

> *** Reason for old version is that what was released when I started
>
> *** 4.0.0 requires hdf5 >= 1.10.2
>
> **** HDF5 has some dependents:
>
> guix refresh --list-dependent hdf5 Building the following 11 packages would
> ensure 23 dependent packages are rebuilt:
> [email-masked] [email-masked] [email-masked] [email-masked]
> [email-masked] [email-masked] [email-masked]
> [email-masked] [email-masked] [email-masked] [email-masked]

20 rebuilds is not a problem.

> **** HDF5 patches need updates when HDF5 updated to 1.10.5

So they don't apply anymore at the moment?

> ** Using releases over hg/git downloads (please advise)
>
> 1. Pyside2 packages - Done for compatibility reasons
> 2. Coin3D and SoQt - I don't think there are releases of these aside from
> the bitbucket repository.

https://bitbucket.org/Coin3D/coin/downloads/

> 3. LLVM propagated packages (llvm-toolchain and pyside-libcxx-headers)
>  - I am not sure these are the best way to accomplish the goal anyways.
>  - Not sure where to find the right sources for llvm-toolchain-6 and the
> pyside-libcxx-headers.
> 4. libarea - Seems like libarea is actually close to not even having source
> available anymore, let alone a release
> 5. libspnav - Confused as to the best source to use here. If there is a
> release or better version, I can update.

This one:
https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/libspnav#n13

> 6. FreeCAD
>  - I can use the releases if they exist. I do not think they have source
> tarballs available.
>  - I was packaging during a lot of active development of FreeCAD
>
> Thank you for your review and advice.

That's it from me at the moment. Strong work! Keep it up :)
~Jonathan